(function () {
    window.nativeSupport.couldUseCallback = true;
    var doc = document;
    var readyEvent = doc.createEvent('Events');
    readyEvent.initEvent('nativeSupportReady');
    readyEvent.nativeSupport = nativeSupport;
    doc.dispatchEvent(readyEvent);
    console.log('BaseJSBridge loaded')
})();

window.MKJSBridgeCallBackList = {};
window.MKJSBridge = {
    call:MKBridgecall,
};

String.prototype.hashCode = function() {
    var hash = 0;
    if (this.length == 0) return hash;
    for (var index = 0; index < this.length; index++) {
        var charactor = this.charCodeAt(index);
        hash = ((hash << 5) - hash) + charactor;
        hash = hash & hash;
    }
    return hash;
};

window.Callback = function(identifier, resultStatus, resultData) {
    
    callBackDict = window.MKJSBridgeCallBackList[identifier];
    if (callBackDict) {
        callBackDict(resultStatus, resultData)
        isFinished = true;
        if (resultStatus == "success") {
        }
        if (resultStatus == "fail") {
        }
        if (resultStatus == "progress") {
            isFinished = false;
        }
        
        if (isFinished) {
            window.MKJSBridgeCallBackList[identifier] = null;
            delete window.MKJSBridgeCallBackList[identifier];
        }
    }
}


function MKBridgecall(bridgeObjc) {
    var dataString = encodeURIComponent(JSON.stringify(bridgeObjc.data));
    var timestamp = Date.parse(new Date());
    var identifier = (bridgeObjc.target + bridgeObjc.action + dataString + timestamp).hashCode().toString();
    window.MKJSBridgeCallBackList[identifier] = bridgeObjc.callback;
    window.privateSupport.callNative(JSON.stringify({
                                                            actionName:bridgeObjc.action,
                                                            data:bridgeObjc.data,
                                                            identifier:identifier,
                                                        }));
}

var MKJSBridgeManager = {
    removeAllCallBacks: function(data){
        window.MKJSBridgeCallBackList = {};
    }
};
