// 依赖BaseJSBridge
(function () {
    if (window.nativeSupport.couldUseCallback) {
        appendMethod()
    } else {
        document.addEventListener(
            'nativeSupportReady',
            function() {
                appendMethod()
            },
            false
        );
    }
})();

function appendMethod() {
    console.log('ExJsBridge append method')
    window.nativeSupport.ignoreQuestion = ignoreQuestion;
    window.nativeSupport.addAnswer = addAnswer;
}

function ignoreQuestion(type, cid, qid, ignore, callback) {
    window.MKJSBridge.call({
        action: "ignoreQuestion",
        data: {"type":type, "cid":cid, "qid":qid, "ignore": ignore},
        callback: callback
    });
};

function addAnswer(type, qid, callback) {
    window.MKJSBridge.call({
        action: "addAnswer",
        data: {"type":type, "qid":qid},
        callback: callback
    });
};