// 依赖BaseJSBridge
(function () {
    if (window.nativeSupport.couldUseCallback) {
        appendMethod()
    } else {
        document.addEventListener(
            'nativeSupportReady',
            function() {
                appendMethod()
            },
            false
        );
    }
})();

function appendMethod() {
    console.log('ExAnswerJSBridge append method')
    window.nativeSupport.addComment = addComment;
}

function addComment(type, aid, toCommentId, toUserId, toUserName, callback) {
    window.MKJSBridge.call({
        action: "addComment",
        data: {"type":type, "aid":aid, "toCommentId":toCommentId, "toUserId": toUserId, "toUserName": toUserName},
        callback: callback
    });
};
